import objectdraw.*;
import java.awt.*;

/*
 * Example NestedSquaresLoop: a simple iterative loop to draw a set of
 * nested squares of a given size.
 *
 * Jim Teresco, The College of Saint Rose, CSC 252, Fall 2013
 *
 * $Id: NestedSquaresLoop.java 2572 2015-03-12 01:41:39Z terescoj $
 */

public class NestedSquaresLoop {

    private static final int SIZE_CHANGE = 4;
    
    public NestedSquaresLoop(double x, double y, int size, DrawingCanvas c) {
        
        while (size > 0) {
            new FramedRect(x, y, size, size, c);
            x += SIZE_CHANGE/2;
            y += SIZE_CHANGE/2;
            size -= SIZE_CHANGE;
        }
    }
}
